=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	DEB_MAKE_BUILD_TARGET = allopt NO_CUSTOM=y
else
	DEB_MAKE_BUILD_TARGET = all NO_CUSTOM=y
endif

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	mkdir -p $(DESTDIR) $(CURDIR)/debian/tmp$(OCAML_DLL_DIR)
	OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore $(MAKE) install
	rm -f $(CURDIR)/debian/tmp$(OCAML_DLL_DIR)/*.owner

override_dh_auto_test:
