=== debian/watch ===
version=3
opts="dversionmangle=s/\+debian[\.0-9]*$//" \
https://github.com/whitequark/ocaml-expat/releases .*/archive/v?([0-9.]+)\.tar\.gz
