## ocaml-expat 1.3.0

=== Makefile ===
--- 
+++ 
@@ -9,30 +9,39 @@
 NAME=expat
 OBJECTS=expat.cmo
 XOBJECTS=$(OBJECTS:.cmo=.cmx)
-C_OBJECTS=expat_stubs.o
+C_OBJECTS=expat_stubs$(EXT_OBJ)
 
 ARCHIVE=$(NAME).cma
 XARCHIVE=$(ARCHIVE:.cma=.cmxa)
+XSARCHIVE=$(ARCHIVE:.cma=.cmxs)
 CARCHIVE_NAME=mlexpat
-CARCHIVE=lib$(CARCHIVE_NAME).a
+CARCHIVE=lib$(CARCHIVE_NAME)$(EXT_LIB)
 
 # Flags for the C compiler.
 CFLAGS=-DFULL_UNROLL -O2 -I$(EXPAT_INCDIR)
 
-OCAMLC=ocamlc
-OCAMLOPT=ocamlopt
-OCAMLDEP=ocamldep
-OCAMLMKLIB=ocamlmklib 
-OCAMLDOC=ocamldoc
 OCAMLFIND=ocamlfind
+OCAMLPKGS=-package bytes
+OCAMLC=$(OCAMLFIND) ocamlc $(OCAMLPKGS)
+OCAMLOPT=$(OCAMLFIND) ocamlopt $(OCAMLPKGS)
+OCAMLDEP=$(OCAMLFIND) ocamldep $(OCAMLPKGS)
+OCAMLMKLIB=$(OCAMLFIND) ocamlmklib $(OCAMLPKGS)
+OCAMLDOC=$(OCAMLFIND) ocamldoc $(OCAMLPKGS)
+OCAMLDIR=$(shell $(OCAMLFIND) query stdlib)
+include $(OCAMLDIR)/Makefile.config
 
+OPT_TARGETS=	$(XARCHIVE)
+ifeq ($(SUPPORTS_SHARED_LIBRARIES),true)
+OPT_TARGETS+=	$(XSARCHIVE)
+endif
+ 
 .PHONY: all
 all: $(ARCHIVE)
 .PHONY: allopt
-allopt:  $(XARCHIVE)
+allopt:  $(OPT_TARGETS)
 
 depend: *.c *.ml *.mli
-	gcc -MM *.c > depend	
+	gcc -I $(OCAMLDIR) -MM *.c > depend
 	$(OCAMLDEP) *.mli *.ml >> depend
 
 ## Library creation
@@ -45,13 +54,17 @@
 $(XARCHIVE): $(CARCHIVE) $(XOBJECTS)
 	$(OCAMLMKLIB) -o $(NAME) $(XOBJECTS) -oc $(CARCHIVE_NAME) \
 	-L$(EXPAT_LIBDIR) $(EXPAT_LIB)
+$(XSARCHIVE): $(CARCHIVE) $(XOBJECTS)
+	$(OCAMLOPT) -linkall -shared -o $(XSARCHIVE) $(XOBJECTS) $(CARCHIVE) \
+	-ccopt -L$(EXPAT_LIBDIR) -cclib $(EXPAT_LIB)
 
 ## Installation
 .PHONY: install
 install: all
-	{ test ! -f $(XARCHIVE) || extra="$(XARCHIVE) $(NAME).a"; }; \
+	{ test ! -f $(XARCHIVE) || extra="$(OPT_TARGETS) $(NAME)$(EXT_LIB)"; }; \
 	$(OCAMLFIND) install $(NAME) META $(NAME).cmi $(NAME).mli $(ARCHIVE) \
-	dll$(CARCHIVE_NAME).so lib$(CARCHIVE_NAME).a $$extra
+	lib$(CARCHIVE_NAME)$(EXT_LIB) $$extra \
+	-optional dll$(CARCHIVE_NAME)$(EXT_DLL)
 
 .PHONY: uninstall
 uninstall:
@@ -66,8 +79,8 @@
 .PHONY: testall
 testall: test testopt
 .PHONY: test
-test: unittest 	
-	./unittest
+test: unittest
+	CAML_LD_LIBRARY_PATH=$(pwd) ./unittest
 .PHONY: testopt
 testopt: unittest.opt
 	./unittest.opt
@@ -81,8 +94,8 @@
 ## Cleaning up
 .PHONY: clean
 clean::
-	rm -f *~ *.cm* *.o *.a *.so doc/*.html doc/*.css depend \
-	unittest unittest.opt
+	rm -f *~ *.cm* *$(EXT_OBJ) *$(EXT_LIB) *$(EXT_DLL) doc/*.html doc/*.css depend \
+	unittest unittest.opt oUnit*.cache
 
 FORCE:
 
@@ -98,6 +111,3 @@
 	$(OCAMLC) -c -ccopt "$(CFLAGS)" $<
 
 include depend
-
-
-
