=== debian/changelog ===
ocaml-expat (1.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Sep 2023 21:15:24 +0200

ocaml-expat (1.1.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Ralf Treinen ]
  * fix debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entry 0.9.1-1.
  * Remove MIA uploaders (Closes: #995556)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 07:57:20 +0200
