=== debian/control ===
Source: ocaml-expat
Priority: optional
Section: ocaml
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libexpat1-dev,
 ocaml,
 ocaml-findlib,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-expat.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-expat
Homepage: https://github.com/whitequark/ocaml-expat

Package: libexpat-ocaml-dev
Architecture: any
Depends: libexpat1-dev, ocaml-findlib, ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml expat bindings (development)
 This Objective Caml library provides XML parsing facilities based on the expat
 library.
 .
 This package contains the development part of the OCaml expat package.

Package: libexpat-ocaml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Breaks: libexpat-ocaml-dev (<< 1.1.0)
Replaces: libexpat-ocaml-dev (<< 1.1.0)
Description: OCaml expat bindings (runtime)
 This Objective Caml library provides XML parsing facilities based on the expat
 library.
 .
 This package contains only the shared runtime stub libraries.
